/*
   ----------------------------------------------------------------
   GBCF-V3 GRAY STYLE SHEET - MIKE CHERIM HTTP://GREEN-BEAST.COM
   ----------------------------------------------------------------
   To use for testing, this stylesheet must be named default.css
*/

/* === form div and elements ======================================= */

#form-div { 
  font-family: "trebuchet ms", verdana, arial, sans-serif; 
  font-size:12px;
  font-weight : bold;
  width : 70%;
  margin : auto;
  color : #006600;
  line-height : 1.7em;
}

#form-div p.form-footer {
  margin : -35px 2px 20px 13px;
 }

#form-div p.form-footer a { 
  color : #006600; 
}

#form-div p.form-footer a:hover, #form-div p.form-footer a:focus, #form-div p.form-footer a:active { 
  color : #000; 
  text-decoration : none; 
}

#form-div p.form-footer a:focus, #form-div p.form-footer a:active { 
  background-color : #006600; 
}


/* === form div link styles ======================================== */

#form-div a { 
  color : #006600; 
}
  
#form-div a:hover, #form-div a:focus, #form-div a:active { 
  color : #000; 
  text-decoration : none; 
}

#form-div a:focus, #form-div a:active { 
  background-color : #006600; 
}


/* === success and error message/results box ======================= */

#form-div p.success, #form-div p.error, #form-div p.center { 
  color : #fff;
  /* color : #000; (lite colors option - uncomment to use) */
  padding : 1px 4px; 
  border : 1px solid #000; 
  background-color : #006600;
  /* background-color : #bbb; (lite colors option - uncomment to use) */
  margin : 10px 3px;
  text-align : center;
}

#form-div p.error { 
  background-color : #bb0000; 
  /* background-color : #edbaba; (lite colors option - uncomment to use) */
}

#form-div p.error a, #form-div p.success a {
  color : #ffff7f;
}

#form-div p.center {
  text-align : center;
  background-color : #edbaba;
  color : #000;
  margin-top : -3px;
  padding : 0px 4px; 
}

#form-div p.error a:hover, #form-div p.error a:focus, #form-div p.error a:active, 
#form-div p.success a:hover, #form-div p.success a:focus, #form-div p.success a:active {
  color : #006600;
  background-color : #bb0000; 
}

#form-div p.success a:hover, #form-div p.success a:focus, #form-div p.success a:active {
  background-color : #006600; 
}


/* === structural form elements ==================================== */

form#gbcf-form { }
fieldset.main-set,
fieldset.req-set,
fieldset.opt-set { 
  border : 1px solid #006600;
  padding : 5px;
}


/* === textural form elements ====================================== */

#form-div legend { 
  font-weight : bold;
}

#form-div legend span { }

legend.main-legend { 
  color : #777;
  font-size : 110%;
}

legend.req-legend,
legend.opt-legend { 
  color : #777;
}

legend.main-legend span { }
legend.main-legend { }

legend.req-legend span { }
legend.req-legend {
  margin-left : -2px;
}

legend.opt-legend span { }
legend.opt-legend { 
  margin-left : -2px;
}

label.req-label, label.opt-label {
  color : #006600;
}

label.opt-label.check {
  float : right;
  padding : 0;
  margin : 1px 4px;
  cursor : pointer;
}

label.opt-label.main-label {
  margin : 0 2px;
  font-weight : bold;
}

label.opt-label.main-label span {
  font-weight : normal;
  color : #666;
}

label.opt-label.main-label span.req, label span.req  {
  font-weight : bold;
  color : #c70000;
}

label.req-label.explain {
  color : #666;
  font-size : .8em;
}

label.req-label.explain:hover {
  color : #000;
}

/* === control and interface form elements ========================= */
/*
  note: In this section you will see the hover/focus styles for the 
  inputs. For example: input:hover, input:focus. You will also see 
  these names applied as classes: input.hover, input,focus, for 
  example. This is not done by mistake. Those classes are needed for 
  the JavaScript focus script (files/focus.js) for IE 7 and older.
*/

input.text-long.address, input.text-long.address:hover, input.text-long.address:focus,
input.text-long.address.hover, input.text-long.address.focus {
  border-bottom : 0;
  margin-bottom : 0;
  padding-bottom : 2px;
  border-bottom : 1px dotted #bbb;
}

input.text-long.address2, input.text-long.address2:hover, input.text-long.address2:focus,
input.text-long.address2.hover, input.text-long.address2.focus {
  border-top : 0;
  margin-top : 0;
  padding-top : 2px;
  border-top : 1px dotted #bbb;
}

input.checkbox {
  border : 1px solid #999;
  width : .9em;
  height : .9em;
  padding : 0;
  margin : 0;
  cursor : pointer;
}

input.checkbox:hover, input.checkbox.hover,
input.checkbox:focus, input.checkbox.focus {
  border : 1px solid #666;
}

input.text-short, 
input.text-med, 
input.text-long,
select.select,
textarea.textarea {
  font : 1em verdana, helvetica, palatino sans, tahoma, arial, sans-serif;
  border : 1px solid #999;
  background-color : #fffffe;
  cursor : text;
  padding : 1px 2px;
}

select.select {
  padding : 1px 0;
}

input.text-short {
  width : 100px;
}

input.text-med, select.select {
  width : 260px;
}

input.text-long {
  width : 300px;
}

textarea.textarea {
  width : 300px;
  height : 100px;
}

select.select, select.select option {
  cursor : pointer;
}

input.text-short:focus, input.text-short.focus, 
input.text-med:focus, input.text-med.focus,
input.text-long:focus, input.text-long.focus,
select.select:focus, input.select.focus,
textarea.textarea:focus, textarea.textarea.focus {
  border : 1px solid #006600;
  background-color : #ffe;
}

input.button { 
  font : 0.9em 'trebuchet ms', verdana, arial, sans-serif;
  font-weight : bold;
	border: 1px solid #999;
    border-radius: 12px;
	-moz-box-shadow:    0px 0px 4px 0px rgba(0,0,0,0.40);
	-webkit-box-shadow: 0px 0px 4px 0px rgba(0,0,0,0.40);
	box-shadow:         0px 0px 4px 0px rgba(0,0,0,0.40);
/*	text-shadow: 1px 1px 0 #fff; */
    color: #333;
	padding: 0.3em 0.4em;
	font-weight:bold;
 background-color:#F7EFC3;
filter:progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr=#FFFFFF, endColorstr=#F7EFC3);
background-image: -ms-linear-gradient(top, #F7EFC3 0%, #FFFFFC 42%, #F7EFC3 80%, #FFE3B3 90%, #FEFFE3 94%, #F2D498 98%, #FAB54E 100%);
/* Mozilla Firefox */ 
background-image: -moz-linear-gradient(top, #F7EFC3 0%, #FFFFFC 42%, #F7EFC3 80%, #FFE3B3 90%, #FEFFE3 94%, #F2D498 98%, #FAB54E 100%);
/* Opera */ 
background-image: -o-linear-gradient(top, #F7EFC3 0%, #FFFFFC 42%, #F7EFC3 80%, #FFE3B3 90%, #FEFFE3 94%, #F2D498 98%, #FAB54E 100%);
/* Webkit (Safari/Chrome 10) */ 
background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0, #F7EFC3), color-stop(42, #FFFFFC), color-stop(80, #F7EFC3), color-stop(90, #FFE3B3), color-stop(94, #FEFFE3), color-stop(98, #F2D498), color-stop(100, #FAB54E));
/* Webkit (Chrome 11+) */ 
background-image: -webkit-linear-gradient(top, #F7EFC3 0%, #FFFFFC 42%, #F7EFC3 80%, #FFE3B3 90%, #FEFFE3 94%, #F2D498 98%, #FAB54E 100%);
/* W3C Markup */ 
background-image: linear-gradient(to bottom, #F7EFC3 0%, #FFFFFC 42%, #F7EFC3 80%, #FFE3B3 90%, #FEFFE3 94%, #F2D498 98%, #FAB54E 100%);
}

input.button:hover, input.button.hover,
input.button:focus, input.button.focus {
    border-color: #3072b3;
    border-bottom-color: #2a65a0;
/*    text-shadow: -1px -1px 0 rgba(0,0,0,0.3); */
    color: #006600;
		background-color:#CEE7C25;
filter:progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr=#FFFFFF, endColorstr=#C9DEB8);
 background-image:-moz-linear-gradient(top, #CEE7C2 0%, #FFFFFF 47%,#CEE7C2 100%);
background-image:linear-gradient(top, #CEE7C2 0%, #FFFFFF 47%,#CEE7C2 100%);
background-image:-webkit-linear-gradient(top, #CEE7C2 0%, #FFFFFF 47%,#CEE7C2 100%);
background-image:-o-linear-gradient(top, #CEE7C2 0%, #FFFFFF 47%,#CEE7C2 100%);
background-image:-ms-linear-gradient(top, #CEE7C2 0%, #FFFFFF 47%,#CEE7C2 100%);
 background-image:-webkit-gradient(linear, right top, right bottom, color-stop(0%,#CEE7C2), color-stop(47%,#FFFFFF),color-stop(100%,#CEE7C2));
}


/* because IE6 sucks - if you have a conditionally served IE6 style sheet add this to it */
* html input.button {
	border: 1px solid #006600;
    border-bottom-color: #3884cd;
    background-color: #3072b3;
    background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#666), to(#000));
    background-image: -moz-linear-gradient(#666, #000);
    background-image: -ms-linear-gradient(#666, #000);
    background-image: -o-linear-gradient(#666, #000);
    background-image: linear-gradient(#666, #000);
}
